Bug 223973 - xdvi is broken
xdvi is broken
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tetex (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Kevin Baker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-23 08:23 EST by Boris Folgmann
Modified: 2014-12-01 18:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 07:54:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Folgmann 2007-01-23 08:23:09 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Boris Folgmann 2007-01-23 08:23:41 EST
Description of problem:
xdvi calls xdvi.bin with wrong parameters

Version-Release number of selected component (if applicable):
tetex-xdvi-2.0.2-21.3

How reproducible:
Always

Steps to Reproduce:
$ xdvi example.dvi
  
Actual results:
Usage: xdvi [+[<page>]] [-regression] [-s <shrink>] [-S <density>] [-nogrey]
        [-gamma <g>] [-install] [-noinstall] [-rulecolor <color>] [-p <pixels>]
        [-margins <dimen>] [-sidemargin <dimen>] [-topmargin <dimen>]
        [-offsets <dimen>] [-xoffset <dimen>] [-yoffset <dimen>]
        [-paper <papertype>] [-altfont <font>] [-nomakepk] [-mfmode <mode-def>]
        [-editor <editor>] [-not1lib]
...


Expected results:
Correctly run xdvi.bin -name xdvi example.dvi


Additional info:
I prepended an echo before the last line in /usr/bin/xdvi which reads:
xdvi.bin $NAMEOPT ${1+"$@"}
So I could see what xdvi calls. It gave me the "correct" output
xdvi.bin -name xdvi example.dvi
When pasted in the shell again, this xdvi.bin call works, but not when running
xdvi. May be it's an expansion problem of the ${} construction. There must be
something wrong, because xdvi.bin is only outputting its usage when called by xdvi.

Comment 2 Boris Folgmann 2007-01-23 08:24:57 EST
Above description was pasted from bug #151261.
The affected version on RHEL is tetex-2.0.2-22.EL4.7.
Comment 3 Boris Folgmann 2007-03-19 10:12:23 EDT
Any progress on this?
Comment 5 Ondrej Vasik 2011-02-18 07:54:53 EST
Thanks for report, but we will not be able to address the issue in RHEL-4.
RHEL-4.9 was the last RHEL-4 regular update. As RHEL-4 now targets only
critical and security fixes, closing this bugzilla WONTFIX. 

If you still experience the issue with RHEL-5, feel free to report it there,
however, if you want to increase the chances to have this fixed, please use
product support for that. Bugzilla is just bug tracking tool, not support
tool and components for RHEL updates are based primarily on support request.

Note You need to log in before you can comment on or make changes to this bug.